ApiGenerateCleanupDockerArgs (cloudera-manager-api-swagger 7.13.1 API)
Date: 2026-05-19

com.cloudera.api.swagger.model

## Class ApiGenerateCleanupDockerArgs

- java.lang.Object
- - com.cloudera.api.swagger.model.ApiGenerateCleanupDockerArgs

-     @Generated(value="io.swagger.codegen.v3.generators.java.JavaClientCodegen",
                 date="2026-05-19T08:00:51.241Z[Etc/UTC]")
      public class ApiGenerateCleanupDockerArgs
      extends Object

  Arguments used for the command to generate the docker cleanup script. This is applicable for cleanup operations where customers want to cleanup old docker images.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApiGenerateCleanupDockerArgs()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ApiGenerateCleanupDockerArgs` | `controlPlaneUuid(String controlPlaneUuid)`
    `ApiGenerateCleanupDockerArgs` | `dockerRegistry(String dockerRegistry)`
    `boolean` | `equals(Object o)`
    `String` | `getControlPlaneUuid()` Optional.
    `String` | `getDockerRegistry()` Optional.
    `String` | `getNewManifestContent()` The new manifest.json content from the version being upgraded to.
    `String` | `getOldManifestContent()` Optional.
    `String` | `getRemoteRepoUrl()` The url of the remote repository where the private cloud artifacts manifest is hosted
    `String` | `getSelectedFeatures()` Optional.
    `int` | `hashCode()`
    `Boolean` | `isSelectedFeaturesOnly()` Optional.
    `ApiGenerateCleanupDockerArgs` | `newManifestContent(String newManifestContent)`
    `ApiGenerateCleanupDockerArgs` | `oldManifestContent(String oldManifestContent)`
    `ApiGenerateCleanupDockerArgs` | `remoteRepoUrl(String remoteRepoUrl)`
    `ApiGenerateCleanupDockerArgs` | `selectedFeatures(String selectedFeatures)`
    `ApiGenerateCleanupDockerArgs` | `selectedFeaturesOnly(Boolean selectedFeaturesOnly)`
    `void` | `setControlPlaneUuid(String controlPlaneUuid)`
    `void` | `setDockerRegistry(String dockerRegistry)`
    `void` | `setNewManifestContent(String newManifestContent)`
    `void` | `setOldManifestContent(String oldManifestContent)`
    `void` | `setRemoteRepoUrl(String remoteRepoUrl)`
    `void` | `setSelectedFeatures(String selectedFeatures)`
    `void` | `setSelectedFeaturesOnly(Boolean selectedFeaturesOnly)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ApiGenerateCleanupDockerArgs

          public ApiGenerateCleanupDockerArgs()

  - ### Method Detail

    - #### remoteRepoUrl

          public ApiGenerateCleanupDockerArgs remoteRepoUrl(String remoteRepoUrl)

    - #### getRemoteRepoUrl

          public String getRemoteRepoUrl()

      The url of the remote repository where the private cloud artifacts manifest is hosted
      Returns:
        remoteRepoUrl

    - #### setRemoteRepoUrl

          public void setRemoteRepoUrl(String remoteRepoUrl)

    - #### dockerRegistry

          public ApiGenerateCleanupDockerArgs dockerRegistry(String dockerRegistry)

    - #### getDockerRegistry

          public String getDockerRegistry()

      Optional. The url of the Docker Registry from which images will be cleaned up
      Returns:
        dockerRegistry

    - #### setDockerRegistry

          public void setDockerRegistry(String dockerRegistry)

    - #### controlPlaneUuid

          public ApiGenerateCleanupDockerArgs controlPlaneUuid(String controlPlaneUuid)

    - #### getControlPlaneUuid

          public String getControlPlaneUuid()

      Optional. The uuid of the control plane, if cleaning up docker images for an upgrade
      Returns:
        controlPlaneUuid

    - #### setControlPlaneUuid

          public void setControlPlaneUuid(String controlPlaneUuid)

    - #### oldManifestContent

          public ApiGenerateCleanupDockerArgs oldManifestContent(String oldManifestContent)

    - #### getOldManifestContent

          public String getOldManifestContent()

      Optional. The old manifest.json content from the currently installed version. If controlPlaneUuid is provided, this will be automatically fetched from the database.
      Returns:
        oldManifestContent

    - #### setOldManifestContent

          public void setOldManifestContent(String oldManifestContent)

    - #### newManifestContent

          public ApiGenerateCleanupDockerArgs newManifestContent(String newManifestContent)

    - #### getNewManifestContent

          public String getNewManifestContent()

      The new manifest.json content from the version being upgraded to. Required for delta-based cleanup to determine which images are no longer needed.
      Returns:
        newManifestContent

    - #### setNewManifestContent

          public void setNewManifestContent(String newManifestContent)

    - #### selectedFeatures

          public ApiGenerateCleanupDockerArgs selectedFeatures(String selectedFeatures)

    - #### getSelectedFeatures

          public String getSelectedFeatures()

      Optional. The name of the feature(s) in a comma separated list that container images are associated with. When it is null, cleanup all the images from manifest.
      Returns:
        selectedFeatures

    - #### setSelectedFeatures

          public void setSelectedFeatures(String selectedFeatures)

    - #### selectedFeaturesOnly

          public ApiGenerateCleanupDockerArgs selectedFeaturesOnly(Boolean selectedFeaturesOnly)

    - #### isSelectedFeaturesOnly

          public Boolean isSelectedFeaturesOnly()

      Optional. If true, then only images that belong to the selected features will be processed. If false, then images that don't belong to any features will also be processed in addition to the ones that belong to the selected features.
      Returns:
        selectedFeaturesOnly

    - #### setSelectedFeaturesOnly

          public void setSelectedFeaturesOnly(Boolean selectedFeaturesOnly)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2026. All rights reserved.